using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Adv_Pay : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //------判断用户是否登录---
        if (Session["Login_UserName"] == null || Session["IsLogin"] == null || Session["Userclass"] == null || Session["Login_UserName"] == "" || Session["IsLogin"].ToString().ToLower() != "true")
        {
            Response.Write("<script language=javascript>alert ('登录超时');document.location='../ ';<");
            Response.Write("/script>");
            Response.End();
        }

        int money = Convert.ToInt32(Request.Form["money"]);

        Response.Write("<form id=\"form2\" name=\"form1\" method=\"post\" action=\"https://www.alipay.com/cooperate/gateway.do\" >");
        Response.Write("<input type=\"hidden\" name=\"money\" value=\"" + money.ToString() + "\" />");
        Response.Write("</form>");

        Response.Write("<script language=\"JavaScript\" type=\"text/javascript\">");
        Response.Write(" document.form1.submit(); ");
        Response.Write("</" + "script>");


        Response.Write(money.ToString());
    }
}
